# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::UndoInterface Class Reference

This is an interface to undo functionality of a Document. More...

`#include <undointerface.h>`

List of all members.

## Public Member Functions

unsigned int | undoInterfaceNumber () const
virtual void | undo ()=0
virtual void | redo ()=0
virtual void | clearUndo ()=0
virtual void | clearRedo ()=0
virtual unsigned int | undoCount () const =0
virtual unsigned int | redoCount () const =0
virtual unsigned int | undoSteps () const =0
virtual void | setUndoSteps (unsigned int steps)=0
virtual void | undoChanged ()=0

## Protected Member Functions

void | setUndoInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateUndoInterface

## Detailed Description

This is an interface to undo functionality of a Document.

Definition at line 32 of file undointerface.h.

## Member Function Documentation

virtual unsigned int KTextEditor::UndoInterface::undoSteps | ( |  | ) | const`[pure virtual]`

| returns the maximum of undo steps possible, 0 means no limit !

The documentation for this class was generated from the following files:

- undointerface.h
- undointerface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:18 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003